Subject: Re: fread/fwrite problems in b18
From: [email-masked] (Fergus Henderson)

3 Jun 1997 03:45:16 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Content-Type: text
Original-To: [email-masked] (Bala Amavasai)
Original-Cc: [email-masked] (Cygnus GNU-win32 mailing list)
In-Reply-To: <Pine.SUN.3.96.970602154737.29633A-100000@mozart> from "Bala Amavasai" at Jun 2, 97 04:03:08 pm
X-Mailer: ELM [version 2.4 PL24]
Original-Sender: [email-masked]

Bala Amavasai, you wrote:
> 
> Hi! I wonder if anyone can help.  I've written a short program to remove a
> fix sized header (of 512 bytes) from a raw image file. However when I
> compile it and run under gcc b18, I do not get the output I expect. That
> is the output file size is always 30 bytes.

Change your calls to fopen() to open the files in binary mode, e.g.
use `fopen(filename, "rb")' rather than `fopen(filename, "r")',
and similarly use "wb" rather than "w".  Or use binary mode mounts.

-- 
Fergus Henderson <[email-masked]>   |  "I have always known that the pursuit
WWW: <http://www.cs.mu.oz.au/~fjh>   |  of excellence is a lethal habit"
PGP: finger [email-masked]         |     -- the last words of T. S. Garp.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".